<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<s:div xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
       xmlns:gri="http://java.sun.com/jsf/composite/gri"
       xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
       xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/common/detailedResultTemplate.xhtml" >
        <ui:param name="managedBean" value="#{hl7ResultDisplay}"/>
        <!-- generalInformation -->
        <ui:define name="generalInformation" >
            <dl class="dl-horizontal">
            <dt class="#{dt_styleClass}">
                #{messages['gazelle.evs.client.hl7.profileOID']} :
            </dt>
            <dd class="#{dd_styleClass}">
                <h:outputLink value="#{hl7ResultDisplay.permanentLinkToProfile()}" target="_blank">
                    <h:outputText value="#{hl7ResultDisplay.selectedObject.validationService.validatorKeyword}"/>
                </h:outputLink>
            </dd>
            </dl>
        </ui:define>
        <!-- detailed result -->
        <ui:define name="detailedResult">
            <h:outputText value="#{hl7ResultDisplay.detailedResult}" escape="false"/>
            <br/>
        </ui:define>
        <!-- document content -->
        <h2>#{messages['net.ihe.gazelle.ValidatedMessageContent']}</h2>
        <ui:define name="fileContent">
            <h:outputText value="#{messages['net.ihe.gazelle.evs.NoteThatIfThisSegmentContainsMoreThan50SegmentsO']}"/>
            <ui:decorate template="/layout/panels/_panel.xhtml">
                <ui:decorate template="/common/_documentRenderersTabs.xhtml">
                    <ui:param name="document" value="#{hl7Validator.presenter.document}"/>
                    <ui:param name="renderers" value="#{hl7Validator.presenter.renderers}"/>
                    <ui:param name="activeItem" value="#{hl7Validator.presenter.activeRenderer}"/>
                    <ui:param name="options" value="caption: #{messages['net.ihe.gazelle.document.prettified-content']}"/>
                    <ui:param name="documentViewerStyle" value="document-long-viewer"/>
                </ui:decorate>
                <!--
                <gri:tabPanel withBorder="true" activeItem="#{hl7ResultDisplay.isXmlMessage()?'xmlTab':'er7Tab'}">
                    <gri:tab id="er7Tab" head="#{messages['gazelle.evs.client.hl7.PlainMessageContent']}">
                        <h:outputText value="#{hl7ResultDisplay.getER7()}" escape="false"/>
                    </gri:tab>
                    <gri:tab head="#{messages['net.ihe.gazelle.evs.HighlightedER7']}">
                        <h:outputText escape="false" value="#{hl7ResultDisplay.getHighlightedER7()}"/>
                    </gri:tab>
                    <gri:tab id="xmlTab" head="#{messages['gazelle.evs.client.cda.xml']}">
                        <gdk:insert highlight="xml" content="#{hl7ResultDisplay.getXML()}"/>
                    </gri:tab>
                    <gri:tab head="#{messages['gazelle.evs.client.hl7.XMLTreeMessageContent']}">
                        <rich:tree value="#{hl7ResultDisplay.getTree()}" var="node"
                                   style="overflow: auto;background-color:white;" toggleType="client">
                            <rich:treeNode expanded="#{true}" >
                                <h:outputText value="#{node.data.name} : #{node.data.text}"/>
                            </rich:treeNode>
                        </rich:tree>
                    </gri:tab>
                </gri:tabPanel>
                -->
            </ui:decorate>

        </ui:define>
    </s:decorate>
</s:div>

